Автор Тема: Как указать ставиться только чётную минорную версию ядра?  (Прочитано 1193 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн PbI6A

Как указать ставиться только чётную минорную версию ядра? Руками удалил 4.17, но всё равно же поставится наверно опять? Как настроить, чтобы с 4.16 перескочить сразу на 4.18? Не хочу эту жуткую сырость ядра! Дебиан - десятка.
LINUX means: Linux Is Not a UniX
 

Оффлайн ChubaDuba

Захолдить обновление ядра. Написать скрипт, который будет проверять возможность обновления ядра до чётной версии и при наличии такого обновления ставить обновления.
Бλог   @chuba_duba
 

Оффлайн dogsleg

Если обновления устанавливаются автоматически с помощью unattended-upgrades, то в настройках, /etc/apt/apt.conf.d/50unattended-upgrades, можно указать чёрный список пакетов, которые не следует обновлять. Например, что-то типа:

Unattended-Upgrade::Package-Blacklist {
      "linux-image-4.17.0-1-amd64";
};

Эта опция настройки понимает регулярные выражения.
 
Пользователи, которые поблагодарили этот пост: ChubaDuba

Оффлайн PbI6A

linux-image-4.17
типа:
linux-image-4.17*
linux-image-4.19*
и т.п.?
LINUX means: Linux Is Not a UniX
 

Оффлайн dogsleg

linux-image-4.19*

Нет, то, что вы привели, называется шаблонами или подстановочными символами (wildcard), регулярные выражения -- это немного другое. Например, можно так:

linux-image-4\.1[7,9].*
Это исключит все названия пакетов с версиями 4.17 и 4.19. Точка, ".", обозначает любой символ, поэтому первую точку нужно экранировать с помощью косой черты, "\". Астериск, "*", обозначает 0 или более повторений предыдущего символа.

В вики есть кое-что о том, как всё настроить.
« Последнее редактирование: 08 Августа 2018, 17:27:23 от dogsleg »
 
Пользователи, которые поблагодарили этот пост: ChubaDuba

Оффлайн ChubaDuba

Эта опция настройки понимает регулярные выражения.
Спасибо! Не знал об этом.
Бλог   @chuba_duba
 

Теги:
 

Установка только менеджера пакетов DPKG

Автор Loafter

Ответов: 0
Просмотров: 1516
Последний ответ 18 Июля 2013, 13:10:44
от Loafter
Установка Debian 9 только с Xfce

Автор Xless

Ответов: 6
Просмотров: 6645
Последний ответ 14 Июля 2017, 08:00:19
от qupl
Ошибка при компиляции ядра 3.x.x

Автор Angel_ok

Ответов: 13
Просмотров: 6689
Последний ответ 27 Февраля 2013, 22:41:20
от ferum
Где скачать версию 7.6

Автор admiral62

Ответов: 2
Просмотров: 3312
Последний ответ 23 Августа 2016, 01:32:56
от admiral62
Сборка ядра

Автор dolb

Ответов: 4
Просмотров: 1885
Последний ответ 05 Марта 2020, 17:57:05
от dolb